Package com.zaxxer.hikari

## Class HikariJNDIFactory

- java.lang.Object
- - com.zaxxer.hikari.HikariJNDIFactory

All Implemented Interfaces:
  `javax.naming.spi.ObjectFactory`

    public class HikariJNDIFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

A JNDI factory that produces HikariDataSource instances.

Author:
  Brett Wooldridge

### Constructor Summary

Constructors
`HikariJNDIFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HikariJNDIFactory

    public HikariJNDIFactory()

### Method Detail

#### getObjectInstance

    public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable<?,​?> environment)
                                       throws java.lang.Exception

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Throws:
  `java.lang.Exception`